# Πρόγραμμα Εξάρες

import random

# Εμφάνιση Μηνύματος Καλωσορίσματος 
print("Καλώς Ήρθατε στο Παιχνίδι Εξάρες")

# Αρχικοποίηση μετρητή προσπαθειών με την τιμή 0
prospathies=0
# Αρχικοποίηση τιμών των 2 ζαριών
zari1 = 0
zari2 = 0

# Χρήση εντολής επανάληψης while
# Η επανάληψη θα συνεχίζετε για όσο το άθροισμα των τιμών
# των 2 ζαριών είναι διαφορετικό από 12
while zari1+zari2 != 12:
    # Αύξηση αριθμού προσπαθειών κατά 1
    prospathies=prospathies+1
    # Εμφάνιση αριθμού προσπάθειας & μηνύματος προς χρήστη να πατήσει ENTER
    print("Προσπάθεια",prospathies,". Πάτησε ENTER για να ρίξεις τα ζάρια")
    # Ανάγνωση ENTER από χρήστη
    x=input()
    # Απόδοση τυχαίων τιμών από 1 έως 6, στα 2 ζάρια
    zari1 = random.randint(1, 6)
    zari2 = random.randint(1, 6)
    # Έλεγχος εάν τα ζάρια φέρανε εξάρες
    if zari1+zari2==12:
        # Εάν έφεραν εξάρες εμφάνιση σχετικού συγχαρητηρίου μηνύματος
        print("Έφερες 6 και 6 - Εξάρες. Συγχαρητήρια!! ")
    else :
        # Εάν δεν έφεραν εξάρες, τότε εμφάνιση τιμών που έφεραν τα ζάρια
        print("Έφερες",zari1,"και", zari2 )
print()
# Εμφάνιση Μηνύματος Τέλους
print("Ευχαριστούμε που παίξατε το Παιχνίδι Εξάρες") 

